{% extends 'base.html' %}

{% block content %}

    <!-- error alert -->
    {% for field in form %}
        {% if field.errors %}
            {% for error in field.errors %}
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    {{ error }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            {% endfor %}
        {% endif %}
    {% endfor %}

    <div class="container">
        <div class="card border-0 shadow my-5">
            <div class="card-body p-5">
                <div class="mb-3">
                    <h2>Registrierung</h2>
                </div>

                <div class="row">
                    <div class="col-6">
                        <form method="post">
                            {% csrf_token %}

                            <!-- firstname -->
                            <div class="form-group">
                                <label for="{{ form.firstname.id_for_label }}"><b>Firstname</b></label>
                                <input type="text" class="form-control" id="{{ form.firstname.id_for_label }}"
                                       name="{{ form.firstname.html_name }}"
                                       placeholder="Enter firstname" required>
                                {% if form.firstname.errors %}
                                    <div class="text-danger">{{ form.firstname.errors.0 }}</div>
                                {% endif %}
                            </div>

                            <!-- lastname -->
                            <div class="form-group">
                                <label for="{{ form.lastname.id_for_label }}"><b>Lastname</b></label>
                                <input type="text" class="form-control" id="{{ form.lastname.id_for_label }}"
                                       name="{{ form.lastname.html_name }}"
                                       placeholder="Enter lastname" required>
                                {% if form.lastname.errors %}
                                    <div class="text-danger">{{ form.lastname.errors.0 }}</div>
                                {% endif %}
                            </div>

                            <!-- email -->
                            <div class="form-group">
                                <label for="{{ form.email.id_for_label }}"><b>E-Mail</b></label>
                                <input type="text" class="form-control" id="{{ form.email.id_for_label }}"
                                       name="{{ form.email.html_name }}"
                                       placeholder="Enter eMail" required>
                                {% if form.email.errors %}
                                    <div class="text-danger">{{ form.email.errors.0 }}</div>
                                {% endif %}
                            </div>


                            <!-- phone_mobile -->
                            <div class="form-group">
                                <label for="{{ form.phone_mobile.id_for_label }}"><b>Mobile phone</b></label>
                                <input type="text" class="form-control" id="{{ form.phone_mobile.id_for_label }}"
                                       name="{{ form.phone_mobile.html_name }}"
                                       placeholder="Enter phone number" required>
                                {% if form.phone_mobile.errors %}
                                    <div class="text-danger">{{ form.phone_mobile.errors.0 }}</div>
                                {% endif %}
                            </div>

                            <!-- password1 -->
                            <div class="form-group">
                                <label for="{{ form.password1.id_for_label }}"><b>Password</b></label>
                                <input type="password" class="form-control input-pass"
                                       id="{{ form.password1.id_for_label }}"
                                       name="{{ form.password1.html_name }}"
                                       placeholder="Enter password" required>
                                {% if form.password1.errors %}
                                    <div class="text-danger">{{ form.password1.errors.0 }}</div>
                                {% endif %}
                            </div>

                            <!-- confirm_password -->
                            <div class="form-group">
                                <label for="{{ form.password2.id_for_label }}"><b>Confirm Password</b></label>
                                <input type="password" class="form-control input-pass"
                                       id="{{ form.password2.id_for_label }}"
                                       name="{{ form.password2.html_name }}"
                                       placeholder="Repeat password" required>
                                {% if form.password2.errors %}
                                    <div class="text-danger">{{ form.password2.errors.0 }}</div>
                                {% endif %}
                            </div>

                            <button type="submit" class="btn btn-info">Register now</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}